[arch-commits] CVS update of extra/multimedia/mythmusic (PKGBUILD)

Travis Willard travis at archlinux.org
Sun Apr 29 14:11:18 EDT 2007


    Date: Sunday, April 29, 2007 @ 14:11:18
  Author: travis
    Path: /home/cvs-extra/extra/multimedia/mythmusic

Modified: PKGBUILD (1.7 -> 1.8)

Reorganize PKGBUILD to more closely match format of PKGBUILD.proto


----------+
 PKGBUILD |   50 +++++++++++++++++++++++++-------------------------
 1 file changed, 25 insertions(+), 25 deletions(-)


Index: extra/multimedia/mythmusic/PKGBUILD
diff -u extra/multimedia/mythmusic/PKGBUILD:1.7 extra/multimedia/mythmusic/PKGBUILD:1.8
--- extra/multimedia/mythmusic/PKGBUILD:1.7	Wed Mar 21 20:37:57 2007
+++ extra/multimedia/mythmusic/PKGBUILD	Sun Apr 29 14:11:18 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.7 2007/03/22 00:37:57 andyrtr Exp $
+# $Id: PKGBUILD,v 1.8 2007/04/29 18:11:18 travis Exp $
 # Maintainer: Travis Willard <travisw at wmpub.ca> 
 # Contributor: kleptophobiac at gmail.com
 
@@ -6,45 +6,45 @@
 pkgver=0.20.0.20070131
 pkgrel=2
 pkgdesc="Music playing plugin for MythTV"
-url="http://www.mythtv.org"
 arch=('i686' 'x86_64')
+url="http://www.mythtv.org"
+license=('GPL')
 depends=('mythtv' 'libid3tag' 'libmad' 'libvorbis' 'flac>=1.1.4' 'libcdaudio' \
          'cdparanoia' 'fftw2' 'sdl' 'faad2' 'lame' )
-groups=('mythtv-extras')
-license="GPL"
 source=(http://gerolde.archlinux.org/~paul/mythplugins-$pkgver.tar.gz music_flac.patch flacdecoder.patch)
+groups=('mythtv-extras')
 
 build() {
-   cd $startdir/src/mythplugins
+  cd $startdir/src/mythplugins
 
-   # for flac 1.1.4
-   cd mythmusic/mythmusic
-#   patch -Np0 < $startdir/src/music_flac.patch || return 1
-   patch -Np0 < $startdir/src/flacdecoder.patch || return 1
-   cd ../..
+  # for flac 1.1.4
+  cd mythmusic/mythmusic
+  # patch -Np0 < $startdir/src/music_flac.patch || return 1
+  patch -Np0 < $startdir/src/flacdecoder.patch || return 1
+  cd ../..
 
-   sed -i 's#libfftw #libdfftw #' $startdir/src/mythplugins/configure
-   sed -i 's#librfftw#libsrfftw#' $startdir/src/mythplugins/configure
-   sed -i 's#fftw.h#sfftw.h#' $startdir/src/mythplugins/configure
+  sed -i 's#libfftw #libdfftw #' $startdir/src/mythplugins/configure
+  sed -i 's#librfftw#libsrfftw#' $startdir/src/mythplugins/configure
+  sed -i 's#fftw.h#sfftw.h#' $startdir/src/mythplugins/configure
 
-   sed -i 's#<rfftw.h>#<srfftw.h>#' $startdir/src/mythplugins/mythmusic/mythmusic/visualize.h
-   sed -i 's#<fftw.h>#<sfftw.h>#' $startdir/src/mythplugins/mythmusic/mythmusic/visualize.h
+  sed -i 's#<rfftw.h>#<srfftw.h>#' $startdir/src/mythplugins/mythmusic/mythmusic/visualize.h
+  sed -i 's#<fftw.h>#<sfftw.h>#' $startdir/src/mythplugins/mythmusic/mythmusic/visualize.h
 
-   ./configure --prefix=/usr --disable-all --enable-mythmusic --enable-fftw \
-		--enable-sdl --enable-aac --enable-opengl
+  ./configure --prefix=/usr --disable-all --enable-mythmusic --enable-fftw \
+  --enable-sdl --enable-aac --enable-opengl
 
 
-   sed -i 's#-lrfftw#-lsrfftw#' $startdir/src/mythplugins/mythmusic/mythmusic/config.pro
-   sed -i 's#-lfftw#-lsfftw#' $startdir/src/mythplugins/mythmusic/mythmusic/config.pro
+  sed -i 's#-lrfftw#-lsrfftw#' $startdir/src/mythplugins/mythmusic/mythmusic/config.pro
+  sed -i 's#-lfftw#-lsfftw#' $startdir/src/mythplugins/mythmusic/mythmusic/config.pro
 
-   qmake mythplugins.pro
-   make qmake || return 1
-   make -j 2 || return 1
+  qmake mythplugins.pro
+  make qmake || return 1
+  make -j 2 || return 1
 
-   make INSTALL_ROOT=$startdir/pkg install
+  make INSTALL_ROOT=$startdir/pkg install
 }
 
 md5sums=('2a9fbf45ae58a3a35857ce8d7c4d12db'
-	  '889bffb0239821b75550e072e69c7d8c')
+         '889bffb0239821b75550e072e69c7d8c')
 sha1sums=('8223ee888f305d61eca723f06c41024fbf7def84'
-	  'c07883f2b190a4dd6a78f2cad7a88eff3024d1d5')
+          'c07883f2b190a4dd6a78f2cad7a88eff3024d1d5')




More information about the arch-commits mailing list